public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: skip the RHEL-2616 test phase on RHEL-9.x
@ 2026-09-11 13:22 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : c7425fefd166165ee83bd9a40fb02b504606b7a8
Author : Milos Malik <mmalik@redhat.com>
Date : 2025-06-16T10:13:57+02:00
Stats : +3/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/c7425fefd166165ee83bd9a40fb02b504606b7a8?branch=pr775-checkpolicy-revdeps
Log:
skip the RHEL-2616 test phase on RHEL-9.x
Even though the RHEL-2616 bug was investigated on RHEL-9.x, it's
not fixed and it got auto-closed. Until a solution is found or the
bug is escalated, the automated test will skip the particular test
phase.
---
diff --git a/selinux-policy/interface-definitions/runtest.sh b/selinux-policy/interface-definitions/runtest.sh
index 215404a..29c0826 100755
--- a/selinux-policy/interface-definitions/runtest.sh
+++ b/selinux-policy/interface-definitions/runtest.sh
@@ -8,10 +8,13 @@ rlJournalStart
rlAssertRpm policycoreutils
rlPhaseEnd
+ if ! rlIsRHEL 9 && ! rlIsCentOS 9 ; then
+ # the bug is fixed on RHEL-8 but it was auto-closed on RHEL-9
rlPhaseStartTest "RHEL-2616 + RHEL-16185"
rlRun "sepolgen-ifgen -v -d 2>/dev/null | sort | uniq > output.txt"
rlRun "grep -i missing output.txt" 1
rlPhaseEnd
+ fi
rlPhaseStartTest "bz#2254169 + bz#2254206 + bz#2277925"
rlRun "yum -y reinstall selinux-policy-devel >& output.txt"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: skip the RHEL-2616 test phase on RHEL-9.x Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox